Page MenuHomePhabricator

"Open tickets (customer) (20885)" (or other number) displayed for every customer
Closed, ResolvedPublic

Description

Pressing PeopleCustomer in a ticket, displays all that CustomerIDs tickets. However, since the May 31 update, it also displays Open tickets (customer) (20885) under Customer Information. Pressing that takes one to https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketSearch;Subaction=Search;CustomerIDRaw=;StateType=Open

I'm assuming this is supposed to tell how many open tickets exists for that customer, but it is misattributing 'all' tickets to that customerID since there is no CustomerIDRaw. "20885" is most likely how many open tickets exists in the system in total, and not from a specific customer.

Event Timeline

Josve05a created this task.Jun 2 2017, 12:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2017, 12:58 PM
akosiaris triaged this task as Medium priority.Sep 19 2017, 5:03 PM
akosiaris added a subscriber: akosiaris.

This does indeed look a bug, we will have to report it upstream. IMHO, the link should be just a tad different, that is CustomerIDRaw=<customerID>. The number should probably the number of tickets by that specific customer as well

akosiaris moved this task from Incoming to Backlog on the OTRS board.Sep 19 2017, 5:03 PM

Fixed upstream, pending QA and waiting for a patch to be available.

QA is completed, fix is merged.

Now pending on T187984

Not necessarily. The fix is also in branch 5.x [1] and from the looks of it will make it to 5.0.27, which is a version we will probably upgrade to way before we upgrade to 6.x.x

[1] https://github.com/OTRS/otrs/commit/c6a0cda8ad42206a3db73b3a49667d4ff422e98a

True, whichever is easier. This is not an important issue though.

akosiaris closed this task as Resolved.Apr 26 2018, 8:55 AM
akosiaris claimed this task.
akosiaris closed subtask T193118: Upgrade OTRS to 5.0.27 as Resolved.
akosiaris moved this task from Pending patch / update to Resolved on the OTRS board.

This looks fixed now. I 'll resolve this task